/******************************************************************************
 *
 * Copyright:
 *    (C) 2006 Embedded Artists AB
 *
 * File:
 *    configAppl.h
 *
 * Description:
 *    Allow the application to be configurable
 *
 *****************************************************************************/

#define INCLUDE_BLUETOOTH
#define INCLUDE_STARTUP_SEQUENCE
#define INCLUDE_PONG_GAME
#define INCLUDE_EXAMPLE_GAME_BACKGROUND
#define INCLUDE_EXAMPLE_GAME
#define INCLUDE_SNAKE_GAME
#define INCLUDE_MAZE_GAME
#define INCLUDE_NVFS
#define INCLUDE_FS_UTILS
#define INCLUDE_CUSTOMIZER

// Menu fire has been dropped :(
//#define INCLUDE_MENU_FIRE

// Module dependency checks
#ifdef INCLUDE_CUSTOMIZER
	#define INCLUDE_COLOR_EDITOR
	#ifndef INCLUDE_NVFS
		#error Customizer cannot be included without NVFS
	#endif
#endif

#if defined INCLUDE_FS_UTILS && !defined INCLUDE_NVFS
	#error FS_Utils cannot be included without NVFS
#endif


